<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$material = $_COOKIE['material'];
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$nomeOperador=$sessao->getVar('nomeuser');
$amostraLong=$sessao->getVar('amostraLong');
//echo("amostralong= $amostraLong<br>");
$objetocalculo = new calculos(); //calcula todos valores finais
$objetocalculoRaioX = new calculosFichaVirtual(); //calcula todos valores finais

$pdf=new FPDF('P','mm','A4'); //parametos da pagina 
 $pdf->open();//abre o fpdf
 //$pdf->AddPage();//adicionando a primera pafina
 $pdf->SetFont('Arial','',12);
 $pdf->SetDrawColor(10,10,10);
 $maximoHAdobe=297;//isso para vertical
 $maximoLAdobe=210;//isso para vertical
 $maximoLAdobe=297;//isso para horizontal
 $maximoHAdobe=210;//isso para horizontal
 $margemEsquerdaExterna=10;
 $margemEsquerda=15;
 $margemAcima=15;
 $mzx=$margemEsquerda;//marco zero x
 $mzy=$margemAcima;   //marco zero y
 $margemDireita=$maximoLAdobe-6;
 $larguraUtil=$maximoLAdobe-16;
 $futer=$maximoHAdobe-10;
 $cinza=220;
 $pdf->SetFillColor($cinza,$cinza,$cinza);
 $grosso=0.7;
 $medio=0.4;
 $fino=0.3;
 $extraFino=0.2;

 $nomeOperador=5;
 $pdf->SetFillColor($cinza,$cinza,$cinza); 
 
 
for($registro=$inicio;$registro<=$final;$registro++):
$amostraLong=$objetocalculo->AchaIdAmostraTendoRegistro($registro);					 

$userTTAP = new amostras();
 $userTTAP->extras_select =  " WHERE fic_id=".$amostraLong; //esse ja funfa, errado mas funfa
 $userTTAP->selecionaCampos($userTTAP);
 $disparaCabecalho=1;
 //echo("sssssssssql= $userTTAP->extras_select <br>");				 
   while ($resTTAP = $userTTAP->retornaDados()):
     if($disparaCabecalho==1):
	     $disparaCabecalho=0;
		 $pdf->AddPage();//adicionando a primera pafina 
	     $disparaCabecalho=0;	
         $fonte="Arial";
		 $caminhoFinal="ImagensClientes/imagemfichaDIMICRON_imprimir.JPG";
         $pdf->Image($caminhoFinal,$mzx,$mzy,185.7,272.9,'JPG');
	     ####################################CABECALHO################################################
		 $vetorRaioX=$objetocalculoRaioX->capturaGeralRaioX($amostraLong);
		 $vetorCapturaGeral=$objetocalculo->capturaGeralAmostra($amostraLong);
		 $pdf->SetFont('Arial','B',8);
		 $pdf->setXY($mzx+120,$mzy+4); $pdf->Cell(100,5,$vetorRaioX[10].'/'.substr($vetorRaioX[8],6),0,0,'L');//numero da amostra
		 $pdf->SetFont('Arial','',8);
		 //bas e data
 		 $data_BAS=$vetorRaioX[3]; 
	     $numero=substr($data_BAS,10);
	     $ano=substr($data_BAS,6,4);
    	 $pdf->setXY($mzx+120,$mzy+8); $pdf->Cell(100,5,$numero.'/'.$ano,0,0,'L');//numero bas
		 
		 $data_INFORME=$vetorRaioX[4]; 
	     $numero=substr($data_INFORME,10);
	     $ano=substr($data_INFORME,6,4);
		 $pdf->setXY($mzx+120,$mzy+14); $pdf->Cell(100,5,$numero.'/'.$ano,0,0,'L');//numero informe $numero.'/'.$ano;
		 
		 $pdf->setXY($mzx+16,$mzy+24); $pdf->Cell(100,5,utf8_decode($vetorRaioX[43]),0,0,'L');//especie
		 $pdf->setXY($mzx+16,$mzy+27); $pdf->Cell(100,5,utf8_decode($vetorRaioX[42]),0,0,'L');//cultivar
		 $pdf->setXY($mzx+16,$mzy+31); $pdf->Cell(100,5,utf8_decode($vetorRaioX[9]),0,0,'L');//lote
		 $pdf->setXY($mzx+16,$mzy+35); $pdf->Cell(100,5,$vetorRaioX[8],0,0,'L');//recebida em
		 $pdf->setXY($mzx+16,$mzy+39); $pdf->Cell(100,5,utf8_decode($vetorRaioX[44]),0,0,'L');//requerente
		 $pdf->setXY($mzx+113,$mzy+27); $pdf->Cell(100,5,$vetorRaioX[48],0,0,'L');//safra
		 $pdf->setXY($mzx+113,$mzy+31); $pdf->Cell(100,5,$vetorRaioX[46],0,0,'L');//representatividade
		 $pdf->setXY($mzx+113,$mzy+35); $pdf->Cell(100,5,$vetorRaioX[56],0,0,'L');//peneira
		 $pdf->setXY($mzx+113,$mzy+39); $pdf->Cell(100,5,utf8_decode($vetorRaioX[57]),0,0,'L');//procedencia
		 $pdf->setXY($mzx+113,$mzy+43); $pdf->Cell(100,5,$vetorRaioX[106].'g',0,0,'L');//complemento
		 $pdf->setXY($mzx+145,$mzy+27); $pdf->Cell(100,5,$vetorRaioX[53],0,0,'L');//categoria
		 $pdf->setXY($mzx+145,$mzy+31); $pdf->Cell(100,5,$vetorRaioX[60],0,0,'L');//balanca
		 $pdf->setXY($mzx+145,$mzy+35); $pdf->Cell(100,5,utf8_decode($vetorRaioX[58]),0,0,'L');//tratada
		 $pdf->setXY($mzx+171,$mzy+31); $pdf->Cell(100,5,$vetorRaioX[59].'g',0,0,'L');//peso da amostra
		 $pdf->setXY($mzx+25,$mzy+43); $pdf->Cell(100,5,$vetorRaioX[47],0,0,'L');//testes a realizar
		 
		 
         //setor pureza 
		 //calcula impurezas
         $impureza=$vetorRaioX[23]+$vetorRaioX[24];//soma impurezas
         $pesoFinal=$vetorRaioX[23]+$vetorRaioX[24]+$vetorRaioX[22];//peso final(os+mi+pu)
         $difAT_PF=$vetorRaioX[21]-$pesoFinal;//diferenca AT-PF

         //descobre se tem PUR entre os concatenados
		 //producra tambeem por PC1,PC3 ETC
		 //artificio:coloc um X  no comeco da string para que a posicao nunca seja zero ou seja a string resultado nunca seja zero
		 $cadena="x".$vetorRaioX[47];//artificio:coloc umx para que a posicao nunca seja zero
		 $temPureza='NAO';
         $buscar = "PUR";
         $resultado = strpos($cadena, $buscar);
         if($resultado>0)$temPureza='SIM';
         //SITUACAO ESPECIAL DIMICRON QUE TEM PUREZA DENTRO DE PC1,PC2,PC3,PC4,PC5
         $buscar = "PC1";
         $resultado = strpos($cadena, $buscar);
         if($resultado>0)$temPureza='SIM';
         $buscar = "PC2";
         $resultado = strpos($cadena, $buscar);
         if($resultado>0)$temPureza='SIM';
         $buscar = "PC3";
         $resultado = strpos($cadena, $buscar);
         if($resultado>0)$temPureza='SIM';
         $buscar = "PC4";
         $resultado = strpos($cadena, $buscar);
         if($resultado>0)$temPureza='SIM';
         $buscar = "PC5";
         $resultado = strpos($cadena, $buscar);
         if($resultado>0)$temPureza='SIM';
		 
      //pesos
		if($temPureza == "SIM"):
		     $pp1=$vetorRaioX[21];
		     $pp2=$vetorRaioX[22];
		     $pp3=$vetorRaioX[24];
		     $pp4=$vetorRaioX[23];
		     $pp5=$pesoFinal;
         else:
			 $pp1='-N-';
			 $pp2='-N-';
			 $pp3='-N-';
			 $pp4='-N-';
			 $pp5='-N-';
			 $vetorRaioX[15]="-N-";
			 $vetorRaioX[25]="-N-";
			 $vetorRaioX[26]="-N-";
         endif;		 
         
		 
		 //$cadena='PC3';
		 $dafo="branco";
         $buscar = "PC3";
         $resultado = strpos($cadena, $buscar);
		 if($resultado>0)$dafo="achou";
		 //$pdf->setXY(100,$mzy+60); $pdf->Cell(50,5,$cadena.'RES='.$resultado.'strpos'.$dafo ,0,0,'L');//peso ras pureza




		 //peso ras pureza
		 $p1=$mzx+45;
		 $pdf->setXY($p1,$mzy+47); $pdf->Cell(50,5,$vetorCapturaGeral[91].'g',0,0,'L');//peso ras pureza
		 $pdf->Cell(53,5,$vetorRaioX[104].'g',0,0,'L');//balanca
		 $pdf->Cell(50,5,$vetorRaioX[154].'/'.$vetorRaioX[153],0,0,'L');//data/operador
		 //pesagens
		 $p1=$mzx+34;
		 $pdf->setXY($p1,$mzy+56); $pdf->Cell(100,5,$pp1,0,0,'L');//peso amostra trabalho
		 $pdf->setXY($p1,$mzy+60); $pdf->Cell(100,5,$pp2,0,0,'L');////peso pu
		 $pdf->setXY($p1,$mzy+64); $pdf->Cell(100,5,$pp3,0,0,'L');////peso mi
		 $pdf->setXY($p1,$mzy+69); $pdf->Cell(100,5,$pp4,0,0,'L');////peso os
		 $pdf->setXY($p1,$mzy+73); $pdf->Cell(100,5,$pp5,0,0,'L');//////peso final(os+mi+pu)  
         
         //percentagens
		 $pdf->setXY($mzx+48,$mzy+60); $pdf->Cell(100,5,utf8_decode($vetorRaioX[15]),0,0,'L');////purez%
		 $pdf->setXY($mzx+48,$mzy+64); $pdf->Cell(100,5,utf8_decode($vetorRaioX[25]),0,0,'L');////mi%
		 $pdf->setXY($mzx+48,$mzy+69); $pdf->Cell(100,5,utf8_decode($vetorRaioX[26]),0,0,'L');////os%
	     //natureza do material inerte
		 $pdf->setXY($mzx+85,$mzy+55); $pdf->Cell(100,5,$vetorRaioX[55],0,0,'L');//natureza do material inerte
		 //contaminantes
		 $vetorRXOESP=$objetocalculoRaioX-> captura_registros_invasorasRX("1OES",$amostraLong);
		 $vetorRXSILV=$objetocalculoRaioX-> captura_registros_invasorasRX("2SIL",$amostraLong);
		 $vetorRXNOCT=$objetocalculoRaioX-> captura_registros_invasorasRX("3NOT",$amostraLong);
		 $vetorRXNOCP=$objetocalculoRaioX-> captura_registros_invasorasRX("4NOP",$amostraLong);
		 $limiteOESP=sizeof($vetorRXOESP)-2;
		 $limiteSILV=sizeof($vetorRXSILV)-2;
		 $limiteNOCT=sizeof($vetorRXNOCT)-2;
		 $limiteNOCP=sizeof($vetorRXNOCP)-2;
		        
		 //verificacao de outras cultivares em
		 $pdf->setXY($mzx+65,$mzy+77); $pdf->Cell(100,5,$vetorCapturaGeral[49].'g',0,0,'L');//verificacao de outras cultivare em
		 $reanLong=$vetorRaioX[62];	
		 	 
		 //pragas numero em(NA VERDADE SEMENTES INFESTADAS))
		 $pdf->setXY($mzx+23,$mzy+80);
		 $pdf->Cell(25,5,$vetorRaioX[237],0,0,'L');//
		 $pdf->Cell(25,5,'Leitura1='. $vetorRaioX[27],0,0,'L');//
		 $pdf->Cell(25,5,'Leitura2='. $vetorRaioX[28],0,0,'L');//
		 $pdf->Cell(50,5,'Sementes infestadas='. $vetorRaioX[18],0,0,'L');//
		 $pdf->Cell(30,5, $vetorRaioX[32].'/'. $vetorRaioX[33],0,0,'L');//
	
		 //determincacao de outras sementes por numero(fic_data_contaminante  e fic_operador_contaminante )
		 $pdf->setXY($mzx+110,$mzy+85);
		 $pdf->Cell(30,5, $vetorRaioX[216].'/'. $vetorRaioX[215],0,0,'L');//
		 
		 
		 //OUTRAS ESPECIES CULTIVADAS EM
		 $oecEM=$vetorRaioX[220];
		 $pdf->setXY($mzx+32,$mzy+89);$pdf->Cell(10,5,$oecEM,0,0,'L');//nocivas $oecEM,0,0,'L');//oecem
		 //silvestres EM
		 $silEM=$vetorRaioX[220];
		 $pdf->setXY($mzx+80,$mzy+89);$pdf->Cell(10,5,$silEM,0,0,'L');//nocivas $oecEM,0,0,'L');//oecem
		 //nocivas em
		 $nocEM=$vetorRaioX[105];
		 $pdf->setXY($mzx+135,$mzy+89);$pdf->Cell(10,5,$nocEM,0,0,'L');//nocivas $oecEM,0,0,'L');//oecem

		 
		 //imprime oesp
		 $yLocal=$mzy+91;
		 $xLocal=$mzx+1;
		 for($i=1;$i<=$limiteOESP;$i++):
		   $yLocal+=3;
		   $pdf->SetFont('Arial','I',8);
		   $pdf->setXY($xLocal,$yLocal); $pdf->Cell(37,3,$vetorRXOESP[$i][0],0,0,'L');//nome contaminante
		   $pdf->SetFont('Arial','',8);
		   $pdf->Cell(10,3,$vetorRXOESP[$i][1],0,0,'L');//nome contaminante
         endfor;	
		 $pdf->setXY(54,$mzy+119); $pdf->Cell(100,5,$vetorRXOESP[0][0],0,0,'L');//////total oesp  
		 //imprime silv
		 $yLocal=$mzy+91;
		 $xLocal=$mzx+47;
		 for($i=1;$i<=$limiteSILV;$i++):
		   $yLocal+=3;
		   $pdf->SetFont('Arial','I',8);
		   $pdf->setXY($xLocal,$yLocal); $pdf->Cell(38,3,$vetorRXSILV[$i][0],0,0,'L');//nome contaminante
		   $pdf->SetFont('Arial','',8);
		   $pdf->Cell(10,3,$vetorRXSILV[$i][1],0,0,'L');//nome contaminante
         endfor;	
		 $pdf->setXY(100,$mzy+119); $pdf->Cell(100,5,$vetorRXSILV[0][0],0,0,'L');//////total silv
		 //imprime NOCT
		 $yLocal=$mzy+91;
		 $xLocal=$mzx+92;
		 for($i=1;$i<=$limiteNOCT;$i++):
		   $yLocal+=3;
		   $pdf->SetFont('Arial','I',8);
		   $pdf->setXY($xLocal,$yLocal); $pdf->Cell(68,3,$vetorRXNOCT[$i][0],0,0,'L');//nome contaminante
		   $pdf->SetFont('Arial','',8);
		   $pdf->Cell(10,3,$vetorRXNOCT[$i][1],0,0,'L');//nome contaminante
         endfor;	
		 $pdf->setXY(175,$mzy+119); $pdf->Cell(100,5,$vetorRXNOCT[0][0],0,0,'L');//////total noct 
		 //imprime NOCP
		 $xLocal=$mzx+92;
		 for($i=1;$i<=$limiteNOCP;$i++):
		   $yLocal+=3;
		   $pdf->SetFont('Arial','I',8);
		   $pdf->setXY($xLocal,$yLocal); $pdf->Cell(84,3,$vetorRXNOCP[$i][0],0,0,'L');//nome contaminante
		   $pdf->SetFont('Arial','',8);
		   $pdf->Cell(10,3,$vetorRXNOCP[$i][1],0,0,'L');//nome contaminante
         endfor;	
		 $pdf->setXY(192,$mzy+119); $pdf->Cell(100,5,$vetorRXNOCP[0][0],0,0,'L');//////total nocp 
		 
         ///////GERMINACAO + GE2 OU EAC/////////////////////////////////////////////
         //vai procurar todos os registros rean possiveis GER,EAC,GE2

         //$pdf->setXY(20,$mzy+110);
         $codGermPadrao=$vetorRaioX[62];
         $codGermEac=$vetorRaioX[91];
         $codGermGE2=$vetorRaioX[134];
		 //$pdf->Cell(30,5,'padrao='.$codGermPadrao. '  eac='.$codGermEac .'  ge2='.$codGermGE2  ,0,0,'L');//operador
         //se tem eac ou se tem ge2 ele vai fazer o loop ate 2 , caso contrario vai so ate 1
		 $conjuntos=1;
	     if($codGermEac>0  || $codGermGE2>0 )$conjuntos=2;
	
for($setorTeste=1;$setorTeste<=$conjuntos;$setorTeste++):
     if($setorTeste==1):
	     $reanLong=$vetorRaioX[62]; 
		 $inicio=$vetorRaioX[93];//inicio teste
		 $operador=$vetorRaioX[40];//inicio teste
		 $substrato=$vetorRaioX[36];//
		 $temperatura=$vetorRaioX[35];//
		 $tratamento=$vetorRaioX[61];//
		 $germinador=$vetorRaioX[38];//
		 $percNormais=$vetorRaioX[14];//normais
    	 $percAnormais=$vetorRaioX[64];//anormais
    	 $percInfecionadas=$vetorRaioX[99];//infecionadas
    	 $percDormentes=$vetorRaioX[67];// dormentes
    	 $percDuras=$vetorRaioX[66];//duras 
    	 $percMortas=$vetorRaioX[65];//mortas
		 $formato=$vetorRaioX[192];
     endif; 		 
     if($setorTeste==2)://no caso eac mas pode ser ge2 tambem...
         $xisDoTesteEAC="";
		 $xisDoTesteGE2="";
	     //vao procurar se tem ge2 ou se tem eac priorizando eac
	     if($codGermEac>0)://se tem eac
		     $reanLong=$codGermEac; 
			 $inicio=$vetorRaioX[72];//inicio teste
			 $operador=$vetorRaioX[73];//
			 $substrato=$vetorRaioX[69];//
			 $temperatura=$vetorRaioX[68];//
			 $tratamento=$vetorRaioX[74];//
			 $germinador=$vetorRaioX[71];//
			 $percNormais=$vetorRaioX[12];//normais
    	     $percInfecionadas=$vetorRaioX[100];//infecionadas
	    	 $percAnormais=$vetorRaioX[76];//anormais
	    	 $percDormentes=$vetorRaioX[77];// dormentes
	    	 $percDuras=$vetorRaioX[101];//duras 
	    	 $percMortas=$vetorRaioX[78];//mortas
			 $formato=$vetorRaioX[239];
             $xisDoTesteEAC="x";
		 else://se nao tem eac
	       if($codGermGE2>0)://se tem ge2
		     $reanLong=$codGermGE2; 
			 $inicio=$vetorRaioX[126];//inicio teste
			 $operador=$vetorRaioX[127];//
			 $substrato=$vetorRaioX[123];//
			 $temperatura=$vetorRaioX[122];//
			 $tratamento=$vetorRaioX[128];//
			 $germinador=$vetorRaioX[125];//
			 $percNormais=$vetorRaioX[129];//normais
	    	 $percAnormais=$vetorRaioX[130];//anormais
			 $percInfecionadas=$vetorRaioX[133];//infecionadas
	    	 $percDormentes=$vetorRaioX[136];// dormentes
	    	 $percDuras=$vetorRaioX[135];//duras 
	    	 $percMortas=$vetorRaioX[132];//mortas
			 $formato=$vetorRaioX[238];
			 $xisDoTesteGE2="x";
           endif;//se tem ge2		 
		 endif;//se tem eac
     endif;//se esta no segundo conunto

     //vai imprimir o x do teste no local certo
     $pdf->setXY($mzx+105,$mzy+123);
	 $pdf->Cell(53,5,$xisDoTesteGE2,0,0,'L');//assinala x do teste eac
	 $pdf->Cell(53,5,$xisDoTesteEAC,0,0,'L');//assinala x do teste ge2

         //vetor germinacao		 
	   	 $vetorLeiturasGerminacaoBIDI=$objetocalculoRaioX->leiturasGerminacaoBIDI($reanLong); 
         //calculo a posicao do setor 
         $incrementoX=($setorTeste-1)*95; 
		 $mzx+=$incrementoX;
		 
         //imprime dados do teste de germinacao(temperatura,tratamento etc)
         //INICIADO EM
		 $pdf->setXY($mzx+20,$mzy+128);
		 $pdf->Cell(40,5,$inicio,0,0,'L');//inicio teste padrao
		 $pdf->Cell(30,5,utf8_decode($operador),0,0,'L');//operador
      if($setorTeste==1):   
		 if(substr($substrato,0,1)=='R') $pdf->setXY($mzy+17,$mzy+132);
		 if(substr($substrato,0,1)=='E') $pdf->setXY($mzy+29,$mzy+132);
		 $pdf->Cell(100,5,'x',0,0,'L');//substrato
      endif; 
      if($setorTeste==2): //imprime substrato por extenso  
		 $pdf->setXY($mzx+10,$mzy+132);
		 $pdf->Cell(100,5,$substrato,0,0,'L');//substrato
      endif;         		 

		 $pdf->setXY($mzx+15,$mzy+137); $pdf->Cell(100,5,utf8_decode($temperatura),0,0,'L');//temperatura
		 $pdf->setXY($mzx+15,$mzy+141); $pdf->Cell(100,5,utf8_decode($tratamento),0,0,'L');//tratamento
		 $pdf->setXY($mzx+63,$mzy+132); $pdf->Cell(100,5,$germinador,0,0,'L');//germinador
		 $colunas=substr($formato,0,1);

     if($colunas==4):		 
		
		 //imprime leituras de germinacao
	 	 //SETOR germinacao normais-->
		 //vai jogar as 4 linhas
		 //$colunas=4;
		 $linhas=4;//indice da matriz
         $yLocal=160;		 
		 //$vetorTotais=0; 
		 for($i=1;$i<=$linhas;$i++):
		    $xLocal=$mzx+17;
            $yLocal+=4.8;
	    	for($j=1;$j<=$colunas;$j++):
		      $xLocal+=12.3;
			  $pdf->setXY($xLocal,$yLocal); $pdf->Cell(30,5,$vetorLeiturasGerminacaoBIDI[$i][$j],0,0,'L');//leitura
			  $vetorTotais[$j]+=$vetorLeiturasGerminacaoBIDI[$i][$j];
		    endfor;
	    endfor; 	
		//totais
		$xLocal=$mzx+17;
        $yLocal=182;		 
        for($j=1;$j<=$colunas;$j++):
		  $xLocal+=12.3;
		  $pdf->setXY($xLocal,$yLocal); $pdf->Cell(30,5,$vetorTotais[$j],0,0,'L');//leitura
		endfor;
 
		
     	 //SETOR germinacao Anormais deformadas-->
		 //vai jogar as 4 linhas
		 $linhas=5+3;//indice da matriz
         $yLocal=181;
     	 for($j=1;$j<=$colunas;$j++):$vetorTotais[$j]=0;endfor;;
         //$vetorTotais[$j]=array();
		 for($i=5;$i<=$linhas;$i++):
		    $xLocal=$mzx+17;
            $yLocal+=4.8;
	    	for($j=1;$j<=$colunas;$j++):
		      $xLocal+=12.3;
			  $pdf->setXY($xLocal,$yLocal); $pdf->Cell(30,5,$vetorLeiturasGerminacaoBIDI[$i][$j],0,0,'L');//leitura
			  $vetorTotais[$j]+=$vetorLeiturasGerminacaoBIDI[$i][$j];
		    endfor;
	    endfor; 
		//totais
		$xLocal=$mzx+17;
        $yLocal=195;		 
        for($j=1;$j<=$colunas;$j++):
		  $xLocal+=12.3;
		  $pdf->setXY($xLocal,$yLocal); $pdf->Cell(30,5,$vetorTotais[$j],0,0,'L');//leitura
		endfor;

	 	 //SETOR germinacao Anormais infecionadas-->
		 //vai jogar as 4 linhas
		 $linhas=9+3;//indice da matriz
         $yLocal=189;
     	 for($j=1;$j<=$colunas;$j++):$vetorTotais[$j]=0;endfor;//zera o vetor total
         //$vetorTotais[$j]=array();
		 for($i=8;$i<=$linhas;$i++):
		    $xLocal=$mzx+17;
            $yLocal+=4.8;
	    	for($j=1;$j<=$colunas;$j++):
		      $xLocal+=12.3;
		      $indice=$i.$j;//linha e coluna concatenados 
			  $pdf->setXY($xLocal,$yLocal); $pdf->Cell(30,5,$vetorLeiturasGerminacaoBIDI[$i][$j],0,0,'L');//leitura
			  $vetorTotais[$j]+=$vetorLeiturasGerminacaoBIDI[$i][$j];
		    endfor;
	    endfor; 
		//totais
		$xLocal=$mzx+17;
        $yLocal=207;		 
        for($j=1;$j<=$colunas;$j++):
		  $xLocal+=12.3;
		  $pdf->setXY($xLocal,$yLocal); $pdf->Cell(30,5,$vetorTotais[$j],0,0,'L');//leitura
		endfor;
		
	 	 //SETOR germinacao dormentes-->
		 //vai jogar as 2 linhas
		 $linhas=15+0;//indice da matriz
         $yLocal=207;
     	 for($j=1;$j<=$colunas;$j++):$vetorTotais[$j]=0;endfor;//zera o vetor total
         //$vetorTotais[$j]=array();
		 for($i=15;$i<=$linhas;$i++):
		    $xLocal=$mzx+17;
            $yLocal+=4.8;
	    	for($j=1;$j<=$colunas;$j++):
		      $xLocal+=12.3;
		      $indice=$i.$j;//linha e coluna concatenados 
			  $pdf->setXY($xLocal,$yLocal); $pdf->Cell(30,5,$vetorLeiturasGerminacaoBIDI[$i][$j],0,0,'L');//leitura
			  $vetorTotais[$j]+=$vetorLeiturasGerminacaoBIDI[$i][$j];
		    endfor;
	    endfor; 
		//totais
		$xLocal=$mzx+17;
        $yLocal=220;		 
        for($j=1;$j<=$colunas;$j++):
		  $xLocal+=12.3;
		  $pdf->setXY($xLocal,$yLocal); $pdf->Cell(30,5,$vetorTotais[$j],0,0,'L');//leitura
		endfor;



	 	 //SETOR germinacao duras-->
		 //vai jogar as 2 linhas
		 $linhaBase=14;
		 $limiteLinhas=$linhaBase+0;
		 $yBase=220;
         $yLinhaDoTotal=$ylocal+12; 		 
		 $linhas=16+1;//indice da matriz
         $yLocal=$yBase;
     	 for($j=1;$j<=$colunas;$j++):$vetorTotais[$j]=0;endfor;//zera o vetor total
         //$vetorTotais[$j]=array();
		 for($i=$linhaBase;$i<=$limiteLinhas;$i++):
		    $xLocal=$mzx+17;
            $yLocal+=4.8;
	    	for($j=1;$j<=$colunas;$j++):
		      $xLocal+=12.3;
		      $indice=$i.$j;//linha e coluna concatenados 
			  $pdf->setXY($xLocal,$yLocal); $pdf->Cell(30,5,$vetorLeiturasGerminacaoBIDI[$i][$j],0,0,'L');//leitura
			  $vetorTotais[$j]+=$vetorLeiturasGerminacaoBIDI[$i][$j];
		    endfor;
	    endfor; 
		//totais
		$xLocal=$mzx+17;
        $yLocal=$yBase+14;
        for($j=1;$j<=$colunas;$j++):
		  $xLocal+=12.3;
		  $pdf->setXY($xLocal,$yLocal); $pdf->Cell(30,5,$vetorTotais[$j],0,0,'L');//leitura
		endfor;




	 	 //SETOR germinacao mortas-->
		 //vai jogar as 4 linhas
		 $linhas=13+0;//indice da matriz
         $yLocal=233;
     	 for($j=1;$j<=$colunas;$j++):$vetorTotais[$j]=0;endfor;//zera o vetor total
         //$vetorTotais[$j]=array();
		 for($i=13;$i<=$linhas;$i++):
		    $xLocal=$mzx+17;
            $yLocal+=4.8;
	    	for($j=1;$j<=$colunas;$j++):
		      $xLocal+=12.3;
		      $indice=$i.$j;//linha e coluna concatenados 
			  $pdf->setXY($xLocal,$yLocal); $pdf->Cell(30,5,$vetorLeiturasGerminacaoBIDI[$i][$j],0,0,'L');//leitura
			  $vetorTotais[$j]+=$vetorLeiturasGerminacaoBIDI[$i][$j];
		    endfor;
	    endfor; 
		//totais
		$xLocal=$mzx+17;
        $yLocal=246;		 
        for($j=1;$j<=$colunas;$j++):
		  $xLocal+=12.3;
		  $pdf->setXY($xLocal,$yLocal); $pdf->Cell(30,5,$vetorTotais[$j],0,0,'L');//leitura
		endfor;
	 endif;//testa se colunas =4
	 
	 
	 
//o formulario da dimicrom tem 4 colunas e preciso colocar 8 colunas dentro , para isso precisa colocar na linha de baixo	 
$vetorItens[1]='NORMAIS';
$vetorItens[2]='DEFORMADAS';
$vetorItens[3]='INFECIONADAS';
$vetorItens[4]='DURAS';
$vetorItens[5]='DORMENTES';
$vetorItens[6]='MORTAS';
     if($colunas==8):		 
        for($itens=1;$itens<=6;$itens++):
         $itemGerminacao=$vetorItens[$itens];
		 $xLocal=$mzx+17;
		 $linhaBase=0;
         if($itemGerminacao=='NORMAIS'):
	     	 //SETOR germinacao Anormais deformadas-->
			 $linhaBase=1;
			 $limiteLinhas=$linhaBase+0;
			 $yBase=165;//189.8
	         $yLocal=$yBase;
             $yLocalTotais=$yBase+16.5;//195;		 
         endif;


         if($itemGerminacao=='DEFORMADAS'):
	     	 //SETOR germinacao Anormais deformadas-->
			 $linhaBase=5;
			 $limiteLinhas=$linhaBase+0;
			 $yBase=185.8;//189.8
	         $yLocal=$yBase;
             $yLocalTotais=$yBase+9.5;//195;		 
         endif;
         if($itemGerminacao=='MORTAS'):
	     	 //SETOR germinacao Anormais deformadas-->
			 $linhaBase=13;
			 $limiteLinhas=$linhaBase+0;
			 $yBase=237;//189.8
	         $yLocal=$yBase;
             $yLocalTotais=$yBase+9.5;//195;		 
         endif;

         if($itemGerminacao=='DURAS'):
	     	 //SETOR germinacao Anormais deformadas-->
			 $linhaBase=14;
			 $limiteLinhas=$linhaBase+0;
			 $yBase=224;//189.8
	         $yLocal=$yBase;
             $yLocalTotais=$yBase+9;//195;		 
         endif;
         if($itemGerminacao=='DORMENTES'):
	     	 //SETOR germinacao Anormais deformadas-->
			 $linhaBase=15;
			 $limiteLinhas=$linhaBase+0;
			 $yBase=211.5;//189.8
	         $yLocal=$yBase;
             $yLocalTotais=$yBase+9.5;//195;		 
         endif;
         if($itemGerminacao=='INFECIONADAS'):
	     	 //SETOR germinacao Anormais deformadas-->
			 $linhaBase=9;
			 $limiteLinhas=$linhaBase+0;
			 $yBase=199;//189.8
	         $yLocal=$yBase;
             $yLocalTotais=$yBase+8.5;//195;		 
         endif;




		 //testa se realmente é para mostrar dados
         if($linhaBase>0):		 
	         //aqui so zera o vetor;
	     	 for($j=1;$j<=$colunas;$j++):$vetorTotais[$j]=0;endfor;;
	         //$vetorTotais[$j]=array();
			 for($i=$linhaBase;$i<=$limiteLinhas;$i++):
			    $xLocal=$mzx+17;
	            //$yLocal+=4.8;
	            $contador=0;
		    	for($j=1;$j<=$colunas;$j++):
	              //se é valor de i é par

				  if(($j%2==0)):
				    //se for par*2,4,6,8)
				    $pdf->setXY($xLocal,$yLocal+4.4); $pdf->Cell(30,5,$vetorLeiturasGerminacaoBIDI[$i][$j],0,0,'L');//leitura
	                $contador++; 
	                $soma+=$vetorLeiturasGerminacaoBIDI[$i][$j];
				    $vetorTotais[$contador]=$soma;
				  else:
				    //se for impara(1,3,5,7))
	                $soma=0;
			        $xLocal+=12.3;
	                $soma+=$vetorLeiturasGerminacao[$indice];
					$pdf->setXY($xLocal,$yLocal); $pdf->Cell(30,5,$vetorLeiturasGerminacaoBIDI[$i][$j],0,0,'L');//leitura
				  endif;//testa se é linha par
			    endfor;//percorre as colunas
	         endfor; //percorre as linhas
         endif;//pergunta se linha base>0

		//totais
        if($linhaBase>0):		 
			$xLocal=$mzx+17;
	        for($j=1;$j<=4;$j++):
			  $xLocal+=12.3;
			  $pdf->setXY($xLocal,$yLocalTotais); $pdf->Cell(30,5,$vetorTotais[$j],0,0,'L');//leitura
			endfor;
        endif; 
      endfor;//loop dos 6 itens de germinacao

	endif;//testa se sao 8 colunas

		//imprime as medias do teste padrao
    	$pdf->setXY($mzx+84,$mzy+165); $pdf->Cell(30,5,$percNormais,0,0,'L');//normais
    	$pdf->setXY($mzx+84,$mzy+175); $pdf->Cell(30,5,$percAnormais,0,0,'L');//anormais
    	$pdf->setXY($mzx+84,$mzy+185); $pdf->Cell(30,5,$percInfecionadas,0,0,'L');//infecionadas
    	$pdf->setXY($mzx+84,$mzy+205); $pdf->Cell(30,5,$percDormentes,0,0,'L');// dormentes
    	$pdf->setXY($mzx+84,$mzy+215); $pdf->Cell(30,5,$percDuras,0,0,'L');//duras 
    	$pdf->setXY($mzx+84,$mzy+225); $pdf->Cell(30,5,$percMortas,0,0,'L');//mortas
		
endfor;//fecha o for que varia de 1 2 gerpadrao=1   eac ou reteste=2			

   //OBSERVACOES   E DETERMINACOES ADICIONAIS
   //AQUI VAI MONTAR A STRING COM BASE NOS TESTES FEITOS QUE DIFEREM DE -N- 
   $estring="";
	if($vetorRaioX[13]!=""):
	    $estring=$estring."  PMS=".$vetorRaioX[13];
	    $dataPMSoperadorPMS=$vetorRaioX[214].'/'.$vetorRaioX[117];
    endif;	
	//if($vetorRaioX[18]!="")$estring=$estring."  Stes infestadas=".$vetorRaioX[18];
	$pdf->setXY($mzx+2,$mzy+238); $pdf->Cell(30,5,$estring,0,0,'L');//DETES
    //data e rubrica (vai do pms pois dimicrom é assim))
	$pdf->setXY($mzx+50,$mzy+241); $pdf->Cell(30,5,$dataPMSoperadorPMS,0,0,'L');//DETES

    //oservacoes e data/rubrica
	$pdf->setXY($mzx-50,$mzy+248); $pdf->Cell(100,5,$vetorRaioX[63],0,0,'L');//observacoes da amostra
	$dataRubricaObservacao=$vetorRaioX[8].'/'.$vetorRaioX[240];
	$pdf->setXY($mzx+47,$mzy+253); $pdf->Cell(100,5,$dataRubricaObservacao,0,0,'L');//data rubrica

   endif;//TESTA SE É CABECALHO


   endwhile; //este while abre a amostras atraves do campo amostraLong
   endfor;//este endfor encerra a varredura da amostra inicial ate aa final  
   ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");
		
?>
